SDL_haptic_c.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | SDL_HapticInit (void)
void | SDL_HapticQuit (void)

## Function Documentation

## SDL_HapticInit()

int SDL_HapticInit | ( | void |  | ) |

Definition at line 35 of file SDL_haptic.c.

References SDL_SYS_HapticInit().

Referenced by SDL_InitSubSystem().

{
int status;
status = SDL_SYS_HapticInit();
if (status >= 0) {
status = 0;
}
return status;
}
SDL_SYS_HapticInit
int SDL_SYS_HapticInit(void)

## SDL_HapticQuit()

void SDL_HapticQuit | ( | void |  | ) |

Definition at line 390 of file SDL_haptic.c.

References NULL, SDL_assert, SDL_haptics, and SDL_SYS_HapticQuit().

Referenced by SDL_QuitSubSystem().

{
SDL_SYS_HapticQuit();
SDL_assert(SDL_haptics == NULL);
SDL_haptics = NULL;
}
SDL_assert
#define SDL_assert(condition)
Definition: SDL_assert.h:169
NULL
#define NULL
Definition: begin_code.h:164
SDL_SYS_HapticQuit
void SDL_SYS_HapticQuit(void)
SDL_haptics
SDL_Haptic * SDL_haptics
Definition: SDL_haptic.c:29